# [Home Assistant](https://home-assistant.io/) Configurations

My configuration files for the open-source [Home Assistant](https://home-assistant.io/) home-automation platform. Provided as a reference, with no warranty or other support. Released under GPL 2.

## Why

When I was getting started with Home Assistant, I benefitted greatly from the configuration examples provided in their [Cookbook](https://home-assistant.io/cookbook/).

## Using

With the exception of some sensitive data, these configurations are taken verbatim from the source repository that tracks my Raspberry Pi's configuration. Several omissions should be corrected, including API password, latitutde and longitude, and notification settings; the omitted data currently produces incorrectly-formatted YAML.

## Requisites

These configurations depend on more than just Home Assistant. Samsung SmartThings' integration requires the following:

* [MQTT bridge and broker](https://github.com/stjohnjohnson/smartthings-mqtt-bridge)
* [Smart Home Monitor SmartApp](https://ethitter.com/2016/08/smartthings-smart-home-monitor-shm-mqtt-home-assistant/)

While I don't believe that anything in this repository is specific to a Raspberry Pi, note that I've only used Home Assistant on a Raspberry Pi 3.

## License

These configurations are released under the GPL v2 license.
